Subject: JFYI: zsh documentation no more builds with yodl 3.08.00, but it could be a yodl issue.
From: Axel Beckert <[email-masked]>
To: [email-masked]
Date: Fri, 6 May 2016 21:09:19 +0200
List-Id: Zsh Workers List <zsh-workers.zsh.org>

Hi,

JFYI:

zsh documentation no more builds with yodl 3.08.00:
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=823043#37

There was a nearly identical  issue in yodl 3.07.01 which caused other
documentation to no more build with an "`APATH' (symbol) multiply
defined" error.

With yodl 3.08.00, zsh's documentation fails to build as follows (at least
versions 5.2 and 5.2-dev-1):

Zsh Yodl-to-man converter
Including file Zsh/zftpsys.yo
yodl -k -L -o ../../Doc/zshzle.1 -I../../Doc:. -w zman.yo version.yo ../../Doc/zshzle.yo
Zsh Yodl-to-man converter
Including file Zsh/zle.yo
yodl -k -L -o ../../Doc/zshall.1 -I../../Doc -DZSHALL -w zman.yo version.yo zsh.yo
`ZSHALL' (symbol) multiply defined
`ZSHALL' (symbol) multiply defined
`ZSHALL' (symbol) multiply defined
Error(s) in command line arguments. Terminating

So I assume that the fix in 3.08.00 fixed one notion of this issue,
but opened a similar one instead. I've reported it to the yodl
developer and I'm now waiting for feedback from him. (Subscribe to
https://bugs.debian.org/823043 by sending e-mail to
[email-masked] if you want to get his reply, too.)

		Kind regards, Axel
-- 
/~\  Plain Text Ribbon Campaign                   | Axel Beckert
\ /  Say No to HTML in E-Mail and News            | [email-masked]  (Mail)
 X   See http://www.nonhtmlmail.org/campaign.html | [email-masked] (Mail+Jabber)
/ \  I love long mails: http://email.is-not-s.ms/ | http://abe.noone.org/ (Web)